import { createRouter, createWebHashHistory } from 'vue-router'

let history = createWebHashHistory()

let routes = [
  {
    path: '/',
    name: 'Bonus',
    redirect: '/list'
  },
  {
    path: '/list',
    name: 'List',
    component: ()=> import("../index.vue")
  },
  {
    path: '/info',
    name: 'Info',
    component: ()=> import("../Info/index.vue")  
  }
]

const router = createRouter({ 
  history, 
  routes,
  scrollBehavior(to, from, savedPosition) {
    return { top: 0 };
  }
 })


export default router